%global tarname gtksourceviewmm
%global api_ver 3.0

Name:           gtksourceviewmm3
Version:        3.2.0
Release:        1%{?dist}
Summary:        A C++ wrapper for gtksourceview3

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://projects.gnome.org/gtksourceviewmm/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gtksourceviewmm/2.91/%{tarname}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    gtkmm30-devel >= 2.91.2
BuildRequires:    gtksourceview3-devel >= 2.91.9
BuildRequires:    doxygen graphviz

%description
gtksourceviewmm is a C++ wrapper for the gtksourceview widget
library. It offers all the power of gtksourceview with an interface
familiar to c++ developers, including users of the gtkmm library


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.




%package          doc
Summary:          Developer's documentation for the gtksourceviewmm3 library
Group:            Documentation
BuildArch:        noarch
BuildRequires:    doxygen graphviz
Requires:	  gtkmm30-doc

%description      doc
This package contains developer's documentation for the Gtksourceviewmm
library. Gtksourceviewmm is the C++ API for the Gtksourceview library.

The documentation can be viewed either through the devhelp
documentation browser or through a web browser.


%prep
%setup -q -n %{tarname}-%{version}


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/%{tarname}-%{api_ver}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{tarname}-%{api_ver}.pc
%{_libdir}/%{tarname}-%{api_ver}


%files doc
%defattr(-, root, root, -)
%doc COPYING
%doc %{_datadir}/devhelp/books/%{tarname}-%{api_ver}
%doc %{_docdir}/%{tarname}-%{api_ver}

%changelog
* Wed Sep 28 2011 Ray <rstrode@redhat.com> - 3.2.0-1
- Update to 3.2.0

* Mon Mar 28 2011 Krzesimir Nowak <qdlacz@gmail.com> - 2.91.9-1
- New upstream release.

* Tue Feb 22 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 2.91.5-2
- split doc into subpackage

* Fri Feb 11 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 2.91.5-1
- initial package

